Bug Hunting Session
Bug 81818 - FILEOPEN: PPTX - Formulas shown with blue background
Summary: FILEOPEN: PPTX - Formulas shown with blue background
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:pptx
Depends on:
Blocks: Formula-Editor OLE-Objects PPTX
  Show dependency treegraph
 
Reported: 2014-07-27 20:59 UTC by tommy27
Modified: 2017-10-17 14:32 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot MS PowerPoint Viewer vs. LibO 4.2.5.2 (51.26 KB, image/png)
2014-07-27 20:59 UTC, tommy27
Details
screenshot in LibO 4.4 master (192.58 KB, image/png)
2014-07-27 21:07 UTC, tommy27
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tommy27 2014-07-27 20:59:43 UTC
Created attachment 103559 [details]
screenshot MS PowerPoint Viewer vs. LibO 4.2.5.2

any slide containing formulas in .pptx attachment 97256 [details] is shown with blue background around each formula which is not shown in MS PowerPoint viewer.

see comparative screenshot.

AOO has same problem so bug is inherited from OOo

similar issue in Writer has been reported here: Bug 79179
Comment 1 tommy27 2014-07-27 21:07:08 UTC
Created attachment 103560 [details]
screenshot in LibO 4.4 master

interestingly the blue background is not present in 4.4.0.0.alpha0+
Build ID: b9dca968c6fd0ab5ca140c65b0e54d153cd34986
TinderBox: Win-x86@42, Branch:master, Time: 2014-07-18_22:51:20

anyway the background is still abnormal with a thin frame around the formula and and OLE icon behind it
Comment 2 tommy27 2014-07-27 21:08:54 UTC
the position bug of the formula is Bug 77363 which is still present in 4.2.x but fixed in 4.4.x
Comment 3 ign_christian 2014-07-28 05:21:38 UTC
(In reply to comment #0)
> Created attachment 103559 [details]
> screenshot MS PowerPoint Viewer vs. LibO 4.2.5.2
Confirmed with LO 4.2.6.2 and 4.3.0.3 under Ubuntu 12.04 x86. 
But the position is wrong, perhaps its been reported in another bug.
Comment 4 tommy27 2014-07-28 05:35:08 UTC
(In reply to comment #3)
> ...
> But the position is wrong, perhaps its been reported in another bug.

yes, as said before, the position bug is Bug 77363 which is fixed in 4.4.x
is it still present in 4.3.x? can you give feedback in that report?
Comment 5 QA Administrators 2015-09-04 02:48:48 UTC Comment hidden (obsolete)
Comment 6 tommy27 2015-09-06 12:09:40 UTC
(In reply to tommy27 from comment #1)
> background is still abnormal with a thin frame around the formula
> and and OLE icon behind it

issue still present in LibO 4.4.5 and recent 5.1.0 alpha builds
Comment 7 QA Administrators 2016-09-20 10:30:00 UTC Comment hidden (obsolete)
Comment 8 Aron Budea 2017-10-17 02:49:39 UTC
Still there in 6.0 master builds.
Comment 9 Yousuf Philips (jay) (retired) 2017-10-17 13:52:29 UTC
It is fixed in master.

Version: 6.0.0.0.alpha0+
Build ID: 616f21db9e50a77b0c02dfb123f871a742f46216
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 10 Aron Budea 2017-10-17 14:01:57 UTC
As mentioned the bug as described in comment 1 and shown in attachment 103560 [details] is still there (so slightly changed from the original, but still not correct). Assuming it's Windows-only.

Version: 6.0.0.0.alpha0+
Build ID: a056bc01bdd0d8bbb5af47a58c2ed86003869c80
CPU threads: 16; OS: Windows 6.1; UI render: default; 
Locale: hu-HU (hu_HU); Calc: CL
Comment 11 Yousuf Philips (jay) (retired) 2017-10-17 14:19:55 UTC
The issue of the icon has been opened in bug 113186 as it wasnt the original bug report filed and is a windows only bug.
Comment 12 Aron Budea 2017-10-17 14:32:45 UTC
I don't fancy unnecessary administration, the remaining issue on Windows is pretty much the same, and this was a perfectly fine bug report to continue tracking that.